Coordinate capture plugin - projection selector

2009-03-24 06:07 PM - belg4mit -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11652

Description

What does the projection capture selection button do?

The only effect it seems to have is:

a) if set a geographic coordinate system (any), lat/long are shown in that field

b) if set to a project coordinate system, the same values as in the unprojected field

   below are shown

c) if the same projection as the map is chosen, an error occurs.

History

#1 - 2009-03-24 06:33 PM - Borys Jurgiel

Are you sure the layer CRS is properly declared and reprojection on the fly is enabled? Why not to set the project CRS to match the layer CRS?

a) Because geographic CS work in lat/long?

b) This is the unprojected field, unless you set it's projection. The field below shows the coordinates in the project CRS.

c) The map and the project CRS shoudn't differ. If they do, you need to enable on-the-fly reprojection.

#2 - 2009-04-28 10:24 AM - Paolo Cavallini

Is the bug valid then?

#3 - 2009-05-06 12:26 PM - Borys Jurgiel

- Resolution set to worksforme

- Status changed from Open to Closed

Seems to be invalid. Please reopen if I'm wrong.
